/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * VectorsQtQueryPipe.cpp
 *
 *  Created on: Oct 25, 2010
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "UIElements/Qt4/Pipe/VectorsQtQueryPipe.hpp"
#include "UIElements/Qt4/QtDialog.hpp"

#include <Qt/qcombobox.h>

#include "Helpers/MemDebug.hpp"

#include <vector>


VectorsQtQueryPipe::VectorsQtQueryPipe(std::vector<Vector> *_content, QtDialog *_dialog, QComboBox *_theBox) :
  content(_content),
  dialog(_dialog),
  theBox(_theBox)
{}

VectorsQtQueryPipe::~VectorsQtQueryPipe()
{}

void VectorsQtQueryPipe::update() {
  dialog->update();
}

